Fix default platform location to common-packer
[releng/global-jjb.git] / .jjb-test / expected-xml / gerrit-ciman-gerrit-branch-lock-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>false</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>1</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue>refs/heads/master</defaultValue>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>LFTOOLS_VERSION</name>
69           <description>Version of lftools to install. Can be a specific version like
70 '0.6.0' or a PEP-440 definition.
71 https://www.python.org/dev/peps/pep-0440/
72 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
73 </description>
74           <defaultValue>&lt;1.0.0</defaultValue>
75         </hudson.model.StringParameterDefinition>
76       </parameterDefinitions>
77     </hudson.model.ParametersDefinitionProperty>
78   </properties>
79   <scm class="hudson.plugins.git.GitSCM">
80     <configVersion>2</configVersion>
81     <userRemoteConfigs>
82       <hudson.plugins.git.UserRemoteConfig>
83         <name>origin</name>
84         <refspec/>
85         <url>$GIT_URL/$GERRIT_PROJECT</url>
86         <credentialsId>test-credential</credentialsId>
87       </hudson.plugins.git.UserRemoteConfig>
88     </userRemoteConfigs>
89     <branches>
90       <hudson.plugins.git.BranchSpec>
91         <name>refs/heads/master</name>
92       </hudson.plugins.git.BranchSpec>
93     </branches>
94     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
95     <remotePoll>false</remotePoll>
96     <gitTool>Default</gitTool>
97     <submoduleCfg class="list"/>
98     <reference/>
99     <gitConfigName/>
100     <gitConfigEmail/>
101     <extensions>
102       <hudson.plugins.git.extensions.impl.BuildChooserSetting>
103         <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
104       </hudson.plugins.git.extensions.impl.BuildChooserSetting>
105       <hudson.plugins.git.extensions.impl.SubmoduleOption>
106         <disableSubmodules>false</disableSubmodules>
107         <recursiveSubmodules>false</recursiveSubmodules>
108         <trackingSubmodules>false</trackingSubmodules>
109         <parentCredentials>false</parentCredentials>
110         <reference/>
111         <timeout>10</timeout>
112       </hudson.plugins.git.extensions.impl.SubmoduleOption>
113       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
114     </extensions>
115   </scm>
116   <triggers class="vector">
117     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
118       <spec/>
119       <gerritProjects>
120         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
121           <compareType>ANT</compareType>
122           <pattern>releng/ciman</pattern>
123           <branches>
124             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
125               <compareType>ANT</compareType>
126               <pattern>**/master</pattern>
127             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
128           </branches>
129           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
130         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
131       </gerritProjects>
132       <skipVote>
133         <onSuccessful>false</onSuccessful>
134         <onFailed>false</onFailed>
135         <onUnstable>false</onUnstable>
136         <onNotBuilt>false</onNotBuilt>
137       </skipVote>
138       <silentMode>false</silentMode>
139       <silentStartMode>false</silentStartMode>
140       <escapeQuotes>true</escapeQuotes>
141       <noNameAndEmailParameters>false</noNameAndEmailParameters>
142       <readableMessage>false</readableMessage>
143       <dependencyJobsNames/>
144       <notificationLevel/>
145       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
146       <triggerConfigURL/>
147       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
148       <triggerOnEvents>
149         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
150           <commentAddedCommentContains>(un)?lock branch$</commentAddedCommentContains>
151         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
152       </triggerOnEvents>
153       <buildStartMessage/>
154       <buildFailureMessage/>
155       <buildSuccessfulMessage/>
156       <buildUnstableMessage/>
157       <buildNotBuiltMessage/>
158       <buildUnsuccessfulFilepath/>
159       <customUrl/>
160       <serverName>test-server</serverName>
161     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
162   </triggers>
163   <builders>
164     <hudson.tasks.Shell>
165       <command>#!/bin/bash
166 # SPDX-License-Identifier: EPL-1.0
167 ##############################################################################
168 # Copyright (c) 2017 The Linux Foundation and others.
169 #
170 # All rights reserved. This program and the accompanying materials
171 # are made available under the terms of the Eclipse Public License v1.0
172 # which accompanies this distribution, and is available at
173 # http://www.eclipse.org/legal/epl-v10.html
174 ##############################################################################
175 # Generates a patch to lock|unlock a branch in Gerrit
176 #
177 # Assumes that the project repository was cloned via ssh and thus uses ssh to
178 # install the git commit hook.
179
180 # Ensure we fail the job if any steps fail.
181 set -eu -o pipefail
182
183 git fetch origin refs/meta/config:config
184 git checkout config
185
186 install_gerrit_hook() {
187     ssh_url=$(git remote show origin | grep Fetch | grep 'ssh://' \
188         | awk -F'/' '{print $3}' | awk -F':' '{print $1}')
189     ssh_port=$(git remote show origin | grep Fetch | grep 'ssh://' \
190         | awk -F'/' '{print $3}' | awk -F':' '{print $2}')
191
192     if [ -z $ssh_url ]; then
193         echo &quot;ERROR: Gerrit SSH URL not found.&quot;
194         exit 1
195     fi
196
197     scp -p -P &quot;$ssh_port&quot; &quot;$ssh_url&quot;:hooks/commit-msg .git/hooks/
198     chmod u+x .git/hooks/commit-msg
199 }
200 install_gerrit_hook
201
202 # Groups must be mapped in the groups file before they can be used
203 if ! grep 'Registered Users'; then
204     echo -e &quot;global:Registered-Users\tRegistered Users&quot; &gt;&gt; groups
205 fi
206
207 mode=$(echo &quot;$GERRIT_EVENT_COMMENT_TEXT&quot; | grep branch | awk '{print $1}')
208 case $mode in
209     lock)
210         echo &quot;Locking branch: $GERRIT_BRANCH&quot;
211         git config -f project.config &quot;access.refs/heads/${GERRIT_BRANCH}.exclusiveGroupPermissions&quot; &quot;submit&quot;
212         git config -f project.config &quot;access.refs/heads/${GERRIT_BRANCH}.submit&quot; &quot;block group Registered Users&quot;
213         git commit -asm &quot;Lock branch $GERRIT_BRANCH&quot;
214         ;;
215
216     unlock)
217         echo &quot;Unlocking branch: $GERRIT_BRANCH&quot;
218         git config -f project.config --remove-section &quot;access.refs/heads/${GERRIT_BRANCH}&quot; || true
219         git commit -asm &quot;Unlock branch $GERRIT_BRANCH&quot;
220         ;;
221
222     *)
223         echo &quot;ERROR: Unknown mode selected '$mode'.&quot;
224         exit 1
225         ;;
226 esac
227
228 git diff HEAD~1
229 git push origin HEAD:refs/for/refs/meta/config
230 </command>
231     </hudson.tasks.Shell>
232   </builders>
233   <publishers>
234     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
235       <buildSteps>
236         <hudson.tasks.Shell>
237           <command>#!/bin/bash
238 # SPDX-License-Identifier: EPL-1.0
239 ##############################################################################
240 # Copyright (c) 2017 The Linux Foundation and others.
241 #
242 # All rights reserved. This program and the accompanying materials
243 # are made available under the terms of the Eclipse Public License v1.0
244 # which accompanies this distribution, and is available at
245 # http://www.eclipse.org/legal/epl-v10.html
246 ##############################################################################
247 echo &quot;---&gt; sysstat.sh&quot;
248 set +e  # DON'T fail build if script fails.
249
250 OS=$(facter operatingsystem)
251 case &quot;$OS&quot; in
252     Ubuntu)
253         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
254
255         # Dont run the script when systat is not enabled by default
256         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
257             exit 0
258         fi
259     ;;
260     CentOS|RedHat)
261         SYSSTAT_PATH=&quot;/var/log/sa&quot;
262     ;;
263     *)
264         # nothing to do
265         exit 0
266     ;;
267 esac
268
269 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
270 mkdir -p &quot;$SAR_DIR&quot;
271 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
272 # convert sar data to ascii format
273 while IFS=&quot;&quot; read -r sarfilenum
274 do
275     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
276 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
277
278 # DON'T fail build if script fails.
279 exit 0
280 </command>
281         </hudson.tasks.Shell>
282         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
283           <managedFiles>
284             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
285               <fileId>jenkins-log-archives-settings</fileId>
286               <targetLocation/>
287               <variable>SETTINGS_FILE</variable>
288             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
289           </managedFiles>
290         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
291         <EnvInjectBuilder>
292           <info>
293             <propertiesContent>SERVER_ID=logs</propertiesContent>
294           </info>
295         </EnvInjectBuilder>
296         <hudson.tasks.Shell>
297           <command>#!/bin/bash
298 # SPDX-License-Identifier: EPL-1.0
299 ##############################################################################
300 # Copyright (c) 2017 The Linux Foundation and others.
301 #
302 # All rights reserved. This program and the accompanying materials
303 # are made available under the terms of the Eclipse Public License v1.0
304 # which accompanies this distribution, and is available at
305 # http://www.eclipse.org/legal/epl-v10.html
306 ##############################################################################
307 echo &quot;---&gt; create-netrc.sh&quot;
308
309 # Ensure we fail the job if any steps fail.
310 set -eu -o pipefail
311
312 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
313 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
314     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
315     -v x:username -o &quot;:&quot; -v x:password \
316     &quot;$SETTINGS_FILE&quot;)
317
318 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
319 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
320 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
321
322 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
323 </command>
324         </hudson.tasks.Shell>
325         <hudson.tasks.Shell>
326           <command>#!/bin/bash
327 # SPDX-License-Identifier: EPL-1.0
328 ##############################################################################
329 # Copyright (c) 2017 The Linux Foundation and others.
330 #
331 # All rights reserved. This program and the accompanying materials
332 # are made available under the terms of the Eclipse Public License v1.0
333 # which accompanies this distribution, and is available at
334 # http://www.eclipse.org/legal/epl-v10.html
335 ##############################################################################
336 echo &quot;---&gt; lftools-install.sh&quot;
337
338 # Script to install lftools via a version passed in via lf-infra-parameters
339 #
340 # Required parameters:
341 #
342 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
343 #                      set to a strict version number like '1.2.3' or using
344 #                      PEP-440 definitions.
345 #
346 #                      Examples:
347 #                          &lt;1.0.0
348 #                          &gt;=1.0.0,&lt;2.0.0
349 #
350 # By default a released version of lftools should always be used.
351 # The purpose of the 2 variables below is so that lftools devs can test
352 # unreleased versions of lftools. There are 2 methods to install a dev version
353 # of lftools:
354 #
355 #     1) gerrit patch: Used to test a patch that has not yet been merged.
356 #                      To do this set something like this:
357 #                          LFTOOLS_MODE=gerrit
358 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
359 #
360 #     2) git branch: Used to install an lftools version from a specific branch.
361 #                    To use this set the variables as follows:
362 #                          LFTOOLS_MODE=git
363 #                          LFTOOLS_REFSPEC=master
364 #
365 #     3) release : The intended use case and default setting.
366 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
367
368 LFTOOLS_MODE=release  # release | git | gerrit
369 LFTOOLS_REFSPEC=master
370
371 # Ensure we fail the job if any steps fail.
372 # DO NOT set -u as virtualenv's activate script has unbound variables
373 set -e -o pipefail
374
375 virtualenv --quiet &quot;/tmp/v/lftools&quot;
376 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
377 source &quot;/tmp/v/lftools/bin/activate&quot;
378 pip install --quiet --upgrade pip
379
380 case $LFTOOLS_MODE in
381     gerrit)
382         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
383         pushd /tmp/lftools
384         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
385         git checkout FETCH_HEAD
386         pip install --quiet --upgrade -r requirements.txt
387         pip install --quiet --upgrade -e .
388         popd
389         ;;
390
391     git)
392         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
393         ;;
394
395     release)
396         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
397             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
398         fi
399
400         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
401         ;;
402 esac
403
404 lftools --version
405
406 # pipdeptree prints out a lot of information because lftools pulls in many
407 # dependencies. Let's only print it if we want to debug.
408 # echo &quot;----&gt; Pip Dependency Tree&quot;
409 # pip install --quiet --upgrade pipdeptree
410 # pipdeptree
411
412 #!/bin/bash
413 # SPDX-License-Identifier: EPL-1.0
414 ##############################################################################
415 # Copyright (c) 2017 The Linux Foundation and others.
416 #
417 # All rights reserved. This program and the accompanying materials
418 # are made available under the terms of the Eclipse Public License v1.0
419 # which accompanies this distribution, and is available at
420 # http://www.eclipse.org/legal/epl-v10.html
421 ##############################################################################
422 echo &quot;---&gt; logs-deploy.sh&quot;
423
424 # Ensure we fail the job if any steps fail.
425 set -eu -o pipefail
426
427 set -x  # Trace commands for this script to make debugging easier.
428
429 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
430 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
431
432 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
433 then
434     set +x # Disable trace since we no longer need it
435
436     echo &quot;WARNING: Logging server not set&quot;
437 else
438     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
439     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
440     BUILD_URL=&quot;${BUILD_URL}&quot;
441
442     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
443     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
444
445     set +x  # Disable trace since we no longer need it.
446
447     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
448 fi
449 </command>
450         </hudson.tasks.Shell>
451         <hudson.tasks.Shell>
452           <command>#!/bin/bash
453 # SPDX-License-Identifier: EPL-1.0
454 ##############################################################################
455 # Copyright (c) 2017 The Linux Foundation and others.
456 #
457 # All rights reserved. This program and the accompanying materials
458 # are made available under the terms of the Eclipse Public License v1.0
459 # which accompanies this distribution, and is available at
460 # http://www.eclipse.org/legal/epl-v10.html
461 ##############################################################################
462
463 # Clear log credential files
464 rm &quot;$SETTINGS_FILE&quot;
465 rm ~/.netrc
466 </command>
467         </hudson.tasks.Shell>
468         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
469           <regexp>^Build logs: .*</regexp>
470         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
471       </buildSteps>
472       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
473       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
474       <markBuildUnstable>false</markBuildUnstable>
475     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
476     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
477       <patterns>
478         <hudson.plugins.ws__cleanup.Pattern>
479           <pattern>**/*.jenkins-trigger</pattern>
480           <type>EXCLUDE</type>
481         </hudson.plugins.ws__cleanup.Pattern>
482       </patterns>
483       <deleteDirs>false</deleteDirs>
484       <cleanupMatrixParent>false</cleanupMatrixParent>
485       <externalDelete/>
486       <cleanWhenSuccess>true</cleanWhenSuccess>
487       <cleanWhenUnstable>true</cleanWhenUnstable>
488       <cleanWhenFailure>true</cleanWhenFailure>
489       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
490       <cleanWhenAborted>true</cleanWhenAborted>
491       <notFailBuild>true</notFailBuild>
492     </hudson.plugins.ws__cleanup.WsCleanup>
493   </publishers>
494   <buildWrappers>
495     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
496     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
497       <timeoutMinutes>5</timeoutMinutes>
498       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
499       <failBuild>true</failBuild>
500       <writingDescription>false</writingDescription>
501       <timeoutPercentage>0</timeoutPercentage>
502       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
503       <timeoutType>absolute</timeoutType>
504     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
505     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
506     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
507       <user>test-credential</user>
508     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
509     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
510     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
511       <managedFiles>
512         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
513           <fileId>npmrc</fileId>
514           <targetLocation>$HOME/.npmrc</targetLocation>
515           <variable/>
516         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
517       </managedFiles>
518     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
519   </buildWrappers>
520 </project>